Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::ParentClass Class Reference

Gives one parent class of a class. More...

`#include <class.h>`

Collaboration diagram for sc::ParentClass:

[legend]
List of all members.

## Public Types
enum | Access { Private, Protected, Public }
## Public Methods
| ParentClass (ClassDesc *, Access access=Private, int is_virtual=0)
| ParentClass (const ParentClass &)
| ~ParentClass ()
int | is_virtual () const
Access | access () const
const ClassDesc * | classdesc () const
void | change_classdesc (ClassDesc *n)

## Detailed Description

Gives one parent class of a class.

The documentation for this class was generated from the following file:

- class.h